Name:           libguac-client-rdp
Version:        0.6.2
Release:        1%{?dist}
Summary:        RDP support for guacd
Group:          System Environment/Libraries
License:        MPLv1.1 or GPLv2+ or LGPLv2+
URL:            http://guac-dev.org/
Source0:        http://guac-dev.org/pub/dist/source/%{name}-%{version}.tar.gz

BuildRequires:  cairo-devel
BuildRequires:  freerdp-devel
BuildRequires:  libguac-devel >= %{version}
Requires:       freerdp-plugins


%description
Guacamole is an HTML5 web application that provides access to desktop
environments using remote desktop protocols such as VNC or RDP. A centralized
server acts as a tunnel and proxy, allowing access to multiple desktops through
a web browser. No plugins are needed: the client requires nothing more than a
web browser supporting HTML5 and AJAX.

%{name} is a plugin for guacd which provides support for RDP
via the FreeRDP library.


%prep
%setup -q


%build
%configure --disable-static
make %{?_smp_mflags} CFLAGS="%{optflags}"


%install
make install DESTDIR=%{buildroot} INSTALL="install -p"
find %{buildroot} -name '*.la' -delete


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%doc AUTHORS LICENSE README
# The libguac source code dlopen's these plugins, and they are named without
# the version in the shared object; i.e. "libguac-client-$(PROTOCOL).so".
%{_libdir}/%{name}.so
%{_libdir}/%{name}.so.*


%changelog
* Mon Oct 22 2012 Simone Caronni <negativo17@gmail.com> - 0.6.2-1
- Updated to 0.6.2.

* Thu Sep 13 2012 Simone Caronni <negativo17@gmail.com> - 0.6.1-2
- Change Source0 URL

* Thu Aug 30 2012 Simone Caronni <negativo17@gmail.com> - 0.6.1-1
- Updated to 0.6.1.
- Now compatible with freerdp > 1.0.
- Requires libguac-devel >= to version.

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jun 15 2012 Simone Caronni <negativo17@gmail.com> - 0.6.0-7
- Added comment about plugin loading mechanism.

* Fri Jun 15 2012 Simone Caronni <negativo17@gmail.com> - 0.6.0-6
- Moved back plugins to _libdir.
- Removed _isaed build requirements.

* Wed May 30 2012 Simone Caronni <negativo17@gmail.com> - 0.6.0-5
- Added requirement on freerdp-plugins to make clipboard work.

* Tue May 29 2012 Simone Caronni <negativo17@gmail.com> - 0.6.0-4
- Moved plugin libraries.

* Mon May 28 2012 Simone Caronni <negativo17@gmail.com> - 0.6.0-3
- More explicit files list.

* Mon May 28 2012 Simone Caronni <negativo17@gmail.com> - 0.6.0-2
- Sorted and splitted BuildRequires on multiple lines.
- Used common macro styles.
- Shortened delete command in install section.

* Thu May 10 2012 Simone Caronni <negativo17@gmail.com> - 0.6.0-1
- First build.
